tayyabnono
Contributor
Contributor

Avi 20.1.3 integration with vCloud Director 10.2.1 error.

Any help on the below issue?

Avi controller integrated with vCD, but when trying to add NSX-T Cloud under NSX-ALB facing an issue.

Avi ALB Version : 20.1.3 Patch 2p2 Build 9085
vCloud Director : 10.2.1.17444397

Following is the error that I'm getting.

[ 4a27ec75-f10c-4f7e-a865-2e2bfe72c5cd ] java.lang.RuntimeException: Cannot execute request - Cannot execute request - com.fasterxml.jackson.core.JsonParseException: Unexpected character ('"' (code 34)): was expecting comma to separate Object entries at [Source: (ByteArrayInputStream); line: 3, column: 4] - Json processing error. - Unexpected character ('"' (code 34)): was expecting comma to separate Object entries at [Source: (ByteArrayInputStream); line: 3, column: 4]

 

 

0 Kudos
10 Replies
dmurana
Contributor
Contributor

Hi. A similar issue here.
If I try via API I got the same error, and if try via GUI the NSX-T Cloud is grayed out and isn't possible to select it.

VMware Cloud Director version: 10.2.1.17444397
Avi ALB Version: 20.1.1 Build: 9071

In the release notes I see that both versions are compatible (actually ALB with Cloud Director 10.2, I see no info for CD 10.2.1).

Any help?

0 Kudos
asyadav20
Contributor
Contributor

Hi,

Having a similar issue with AVI to VCD integration. Not able to get the AVI integration completed with Cloud Director. Goes upto asking for trusting the certificate of avi and after that giving the error "Error: [ d15246c0-c8c1-42e7-8e64-433c408d9214 ] Failed to connect to Load Balancer Controller: https://<avi controller url>

Cloud Director version - 10.2.1.17444397.

avi controller version - 20.1.3 Build 9085

I have also tried from another avi version 20.1.1 Build 9071 with same results.

any idea what could be wrong.

0 Kudos
asyadav20
Contributor
Contributor

ok, I can add controllers now in cloud director successfully. Issue was related to default self signed certificate due to which it was failing. I had to re-generate the controller certificate and after this controller is added successfully.

Now I also having the same issue where nsx-t available cloud is grade-out and cannot be selected.

0 Kudos
dmurana
Contributor
Contributor

Just for reporting, with Cloud Director 10.2.2 the issue continues.

As I have been investigating it seems to be a problem with the Avi version, at the moment I have tried several versions without success.

0 Kudos
tayyabnono
Contributor
Contributor

Hi,

It's a bit tricky and I don't see any proper documentation, however I'm currently Using VCD: 10.2.2.17855680 with AVI 20.1.5 and don't see any issue. Please follow the steps as below.

1) install vCD with 10.2.1 and AVI 20.1.1, do the integration part as well as setup data path, management path, create VIP from vCD and test once you see everything is working fine, go with step 2

2) Upgrade vCD to 10.2.2 if you interested to use latest and again test service deployment from vCD.

3)  Upgrade the vCD from 20.1.1 to 20.1.5 and it should work fine without any break.

4) now your ready to install 20.1.5 P1.

 

Hope this will be helpful for you!

0 Kudos
asyadav20
Contributor
Contributor

Hi tayyabnono,

Which version of NSX-T you are using. I am trying with VCD 10.2.1 and AVI 20.1.1 with NSX-T 3.1.1 however not able to go beyond the Adding NSX-T cloud within cloud director.

0 Kudos
BurakKutukcu
Contributor
Contributor

Hi,

NSX-T 3.1.1, VCD 10.2.1 - 10.2.2 are working with AVI 20.1.1 but when we deployed and configured AVI 20.1.2 or 20.1.3, we could not add NSX-T Cloud in VCD GUI. There was an error which is same as above error..

 

 

0 Kudos
asyadav20
Contributor
Contributor

@BurakKutukcu 

Thanks for confirming the versions which is working. Unfortunately in my case i have the exact same versions - nsx-t -3.1.1, VCD - 10.2.1 and AVI as 20.1.1. I have a successful connection between AVI and NSX-T, vcenter content library uploaded with SE image automatically, however while adding NSX-T cloud in Cloud Director, getting option as grade out.

Can this be because of some configuration or is something else.

Any test which can be run to ensure all the pre-requites are met before adding NSX-T to cloud director?

 

0 Kudos
tayyabnono
Contributor
Contributor

Hi

We are running vsphere 7.u2 with NSX-t 3.1.2 , AVI 20.1.5 and vCD 10.2.2 all works perfect.

We upgrade 20.1.1 to 20.1.5 directly and it's work perfect with the above versions.

0 Kudos
mjiang
Contributor
Contributor

For anyone still looking for an answer on this: https://kb.vmware.com/s/article/83889

0 Kudos